Claim the next runnable agent run
curl --request POST \
--url https://api.veryfront.com/agent-workers/workers/{worker_id}/claim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lease_duration_seconds": 152
}
'import requests
url = "https://api.veryfront.com/agent-workers/workers/{worker_id}/claim"
payload = { "lease_duration_seconds": 152 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({lease_duration_seconds: 152})
};
fetch('https://api.veryfront.com/agent-workers/workers/{worker_id}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run": {
"run_id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"request_snapshot": {
"messages": [
{
"id": "<string>",
"role": "<string>",
"parts": [],
"metadata": {},
"createdAt": "<string>"
}
],
"agentSource": {
"type": "branch",
"branch": "<string>"
},
"tools": [],
"context": [],
"agentConfig": {
"id": "<string>",
"name": "<string>",
"instructions": "<string>",
"description": "",
"thinking": {
"enabled": true,
"budgetTokens": 1
},
"model": "<string>",
"temperature": 1,
"maxSteps": 1,
"providerTools": [
"<string>"
],
"skills": true,
"tools": true,
"delegates": [
"<string>"
]
},
"forwardedProps": {},
"integrationConnectionBindings": [],
"traceContext": {
"traceId": "<string>",
"spanId": "<string>",
"traceFlags": 127
},
"authorization": {}
},
"latest_event_id": 1,
"latest_external_event_sequence": 1,
"lease_owner": "<string>",
"lease_expires_at": "<string>",
"worker_session": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "<string>",
"implementation_kind": "<string>",
"worker_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_key": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"ended_at": "<string>",
"metadata": null
},
"source_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_release_version": "<string>"
}
}Claim the next runnable agent run
Claims the next runnable agent run for a worker and returns lease metadata when work is available.
POST
/
agent-workers
/
workers
/
{worker_id}
/
claim
Claim the next runnable agent run
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Body
application/json
Required range:
5 <= x <= 300Response
200 - application/json
Claim result
Show child attributes
Show child attributes
⌘I